# functional_iterate.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file functional_iterate.h.

Go to the source code of this file.

## Defines

- #define _GLIBCXX_BIND_HAS_RESULT_TYPE
- #define _GLIBCXX_BIND_REPEAT_HEADER
- #define _GLIBCXX_BIND_REPEAT_HEADER

## Functions

- template<typename _Functor _GLIBCXX_COMMA _GLIBCXX_TEMPLATE_PARAMS> __enable_if< typename result_of<
  _Functor(_GLIBCXX_TEMPLATE_ARGS)>::type,(is_pointer< _Functor
  >::value &&is_function< typename
  remove_pointer< _Functor
  >::type >::value) >::__typ __invoke )(_Functor __f _GLIBCXX_COMMA _GLIBCXX_REF_PARAMS)
- template<typename _Result, typename _Functor _GLIBCXX_COMMA _GLIBCXX_TEMPLATE_PARAMS> _Bind_result< _Result, typename
  _Maybe_wrap_member_pointer<
  _Functor >::type(_GLIBCXX_TEMPLATE_ARGS) bind )(_Functor __f _GLIBCXX_COMMA _GLIBCXX_PARAMS)

## Variables

- __enable_if< typename result_of<
  _Functor(_GLIBCXX_TEMPLATE_ARGS)>::type,(!is_member_pointer<
  _Functor >::value &&!is_function<
  _Functor >::value &&!is_function<
  typename remove_pointer<
  _Functor >::type >::value)
  >::__typ __invoke )(_Functor &__f _GLIBCXX_COMMA _GLIBCXX_REF_PARAMS)
- _Bind< typename _Maybe_wrap_member_pointer<
  _Functor >::type(_GLIBCXX_TEMPLATE_ARGS) bind )(_Functor __f _GLIBCXX_COMMA _GLIBCXX_PARAMS)